{
  pkgs,
  lib,
  config,
  ...
}:
{
  services.rustdesk-server.enable = true;
  services.rustdesk-server.signal.relayHosts = [ "mx.surfsite.org" ];

  services.nginx.virtualHosts."rustdesk.hoyer.world" = {
    enableACME = false;
    useACMEHost = "hoyer.world";
    forceSSL = false;
    locations = {
      "/ws/id" = {
        proxyPass = "http://127.0.0.1:21118";
        proxyWebsockets = true;
      };
      "/ws/relay" = {
        proxyPass = "http://127.0.0.1:21119";
        proxyWebsockets = true;
      };
    };
  };
}
